Bug 259365 (exiv2-0.27.5) - [exp-run] Upgrade graphics/exiv2 to 0.27.5
Summary: [exp-run] Upgrade graphics/exiv2 to 0.27.5
Status: Closed FIXED
Alias: exiv2-0.27.5
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-22 20:12 UTC by Tobias C. Berner
Modified: 2021-10-25 06:47 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (3.85 KB, patch)
2021-10-22 20:12 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-10-22 20:12:12 UTC
Created attachment 228953 [details]
v1

Moin moin 

I would like to ask for an exp-run to upgrade graphics/exiv2 to 0.27.5

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/0001-graphics-exiv2-update-to-0.27.5.patch


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2021-10-24 17:58:46 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2021-10-25 06:46:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7b0a52cd855bbfe6fe97a3c64bbff57fed55038e

commit 7b0a52cd855bbfe6fe97a3c64bbff57fed55038e
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-10-22 20:08:52 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-10-25 06:44:58 +0000

    graphics/exiv2: update to 0.27.5

    Highlights of Exiv2 v0.27.5
      *  BMFF bug fixes and CR3 previews
      *  Security fixes
      *  libFuzzer target for improved security testing
      *  Minor bugs and fixes

    Exp-run by:     antoine
    PR:             259365

 graphics/exiv2/Makefile                            |  2 +-
 graphics/exiv2/distinfo                            |  6 ++---
 ...c069e36605f05e8e58bf964e5ecbde04efb90a20 (gone) | 30 ----------------------
 graphics/exiv2/pkg-plist                           |  2 +-
 4 files changed, 5 insertions(+), 35 deletions(-)
Comment 3 Tobias C. Berner freebsd_committer 2021-10-25 06:47:15 UTC
Committed, thanks for the exp-run.